> ## Documentation Index
> Fetch the complete documentation index at: https://docs.okeyproxy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check available cities

> Returns the list of cities from which IPs can be extracted under the current plan in specified region.



## OpenAPI

````yaml GET /api/v2/plan/cities
openapi: 3.0.1
info:
  title: okey
  description: ''
  version: 1.0.0
servers:
  - url: https://api.okeyproxy.com/ipglobal-api
security: []
tags: []
paths:
  /api/v2/plan/cities:
    get:
      tags: []
      summary: Check available cities
      description: >-
        Returns the list of cities from which IPs can be extracted under the
        current plan in specified region.
      parameters:
        - name: apiKey
          in: query
          description: Agent API key used for authentication
          required: true
          schema:
            type: string
        - name: regionName
          in: query
          description: Region name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  cities:
                    type: array
                    items:
                      type: object
                      properties:
                        cityName:
                          type: string
                          description: City name
                        regionName:
                          type: string
                          description: Region name which the city belongs
                      required:
                        - cityName
                        - regionName
                    title: Available cities
                required:
                  - cities
              example:
                cities:
                  - cityName: Arcos
                    regionName: Aveiro
          headers: {}
      deprecated: false
      security: []

````